Skip to main content

Void order

caution

Void requests are only accepted for confirmed orders.

An order accepts several partial voids only if the sum of the amount does not exceed the total of the original order. If the total amount is void, the order will be canceled.

01 - Check voids​

GET /orders/:orderId/void HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
:orderIdstringSíOrder ID.

Response​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Aplazame-Media-Type: aplazame.v1
{
"remaining_amount":60020,
"results":[
{
"amount":1000,
"id":"7b596c68e9044737a838d54b9e7971a3",
"created":"2020-10-09T13:56:09.043797+02:00"
},
{
"amount":500,
"id":"e07b9d47a72c4c7d8c9fc0c0bb2ba9b9",
"created":"2020-10-09T13:59:05.697921+02:00"
}
]
}
ParameterTypeDescription
remaining_amountdecimalRemaining capture amount
resultscollectionList of voids

02 - Request void​

POST /orders/:orderId/void HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
{
"amount": 10050
}
ParameterTypeRequiredDescription
:orderIdstringSíOrder ID.
amountdecimalSíAmount to void.

Response​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Aplazame-Media-Type: aplazame.v1
{
"remaining_amount":60020,
"results":[
{
"amount":1000,
"id":"7b596c68e9044737a838d54b9e7971a3",
"created":"2020-10-09T13:56:09.043797+02:00"
},
{
"amount":500,
"id":"e07b9d47a72c4c7d8c9fc0c0bb2ba9b9",
"created":"2020-10-09T13:59:05.697921+02:00"
}
]
}
ParameterTypeDescription
remaining_amountdecimalRemaining capture amount
resultscollectionList of voids